Fetch Review Apps and Websites
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
offset: 0,
limit: 20,
appType: 'all',
searchAppName: 'chrome'
})
};
fetch('https://api.trackpilots.com/v1/settings/review-apps-and-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/settings/review-apps-and-sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"offset": 0,
"limit": 20,
"appType": "all",
"searchAppName": "chrome"
}
'import requests
url = "https://api.trackpilots.com/v1/settings/review-apps-and-sites"
payload = {
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"offset": 0,
"limit": 20,
"appType": "all",
"searchAppName": "chrome"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched apps and sites successfully",
"error": null,
"data": {
"items": [
{
"appName": "Google Chrome",
"appType": "application",
"appIconUrl": "https://trackpilots.s3.amazonaws.com/icons/chrome.png",
"appCategory": "Software Development",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"totalCount": 42,
"offset": 0,
"limit": 20
}
}Settings
Fetch Review Apps and Websites
Retrieve a paginated list of tracked applications and websites for a team, with optional filtering by app type and name search.
POST
/
v1
/
settings
/
review-apps-and-sites
Fetch Review Apps and Websites
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
offset: 0,
limit: 20,
appType: 'all',
searchAppName: 'chrome'
})
};
fetch('https://api.trackpilots.com/v1/settings/review-apps-and-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/settings/review-apps-and-sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"offset": 0,
"limit": 20,
"appType": "all",
"searchAppName": "chrome"
}
'import requests
url = "https://api.trackpilots.com/v1/settings/review-apps-and-sites"
payload = {
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"offset": 0,
"limit": 20,
"appType": "all",
"searchAppName": "chrome"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched apps and sites successfully",
"error": null,
"data": {
"items": [
{
"appName": "Google Chrome",
"appType": "application",
"appIconUrl": "https://trackpilots.s3.amazonaws.com/icons/chrome.png",
"appCategory": "Software Development",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"totalCount": 42,
"offset": 0,
"limit": 20
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Required range:
x >= 0Example:
0
Required range:
1 <= x <= 100Example:
20
Available options:
application, website, all Example:
"all"
Example:
"chrome"
